/**
 * \file appshell.h
 * \brief AppShell osztály deklarációja
 *
 */

#ifndef APPSHELL_H
#define APPSHELL_H

#include "container.h"

/// Az eseményhurokért, valamint az SDL és az alkalmazás kapcsolatáért felelős.
/// Widget konténerként tárolja a fő widgetpéldányokat.
struct AppShell : public Container {
    /// @param scr - SDL screen pointere
    AppShell(SDL_Surface *scr) {
        Widget::setSurface(scr);
    }

    /// maninLoop
    /// Olvassa az eseményeket és meghívja a megfelelő eseménykezelő függvényt
    void mainLoop();
};

#endif // APPSHELL_H
